Skip to Content

Purpose:

The purpose of this document is to up-grade SAP Business Objects Application from 4.1 SP6 to SAP Business Objects Application from 4.2

Overview:

Environment Details:

Operating system: Windows Server 2008 64 Bit

Database: Microsoft SQL Server 2012 R2

Web Application: Tomcat 7 & Tomcat 8

SAP Business Objects Tools: SAP Business Objects BI Platform for Enterprise 4.2


Installation & Configuration steps to upgrade BI4.1 SP06 to BI4.2

Pre Installation Check List:

  • Backup of file-store, tomcat configuration files & Data base:
  • Backup of CMS & Audit metadata
  • Backup of Following Configuration Files available at Tomcat (Web Tier) & BOBJ Layer (Management Tier & Processing Tier):
    • web.xml
    • server.xml
    • BILaunchpad.properties
    • Global.properties (If you have done any changes)

  · Make a note of recurring instance available in current environment

    • Pause all instance before doing any upgrade activity

Post Installation Check List:

  • Installation of SAP Business Objects 4.2
  • Validate your configuration with respect to below points:
  • Validate your reports available in your environment
  • SSO (SAP, Windows AD, LDAP, & Others like Oracle SIEBEL)
  • Start all paused instances and check the status after schedule.

SAP Business Objects Platform Services 4.x SPxx PAM Documents:

1338845 – How to find Product Availability Matrix (PAM) / Supported Platforms Document for SAP BusinessObjects Products

https://service.sap.com/sap/support/notes/1338845

1868888 – Where to find Support Packages or Patches for SAP BusinessObjects Business Intelligence Platform 3.x and 4.x? [Video]

https://service.sap.com/sap/support/notes/1868888

SCN Thread related to Pre-requisite:-

Link:

http://scn.sap.com/community/bi-platform/blog/2014/07/27/sap-businessobjects-xi-31bi-4x-installation-prerequisites-and-best-practices-linuxunix

http://scn.sap.com/community/bi-platform/blog/2014/05/01/sap-businessobjects-installation-pre-requisites


Software Path in SAP Market Place:- Please refer above KBA for software detail


Installation & Upgrade:-

Software I.JPG

Support Patches:-


Software II.JPG



Up gradation & Configuration Documents:


When the prerequisite system check completes successfully, click Next


I.png

On the “SAP BusinessObjects BI platform services 4.2 setup” page, click Next.

I.png

Accept the License Agreement, and click Next.

I.png

Type a password for the CMS Administrator account, and click Next

I.png

To start the installation, click Next.

I.png

Installation is in progress

I.png

Updating Repository – Installation is in progress

I.png

Post Installation Steps

I.png

Finish

I.png


New Features in SAP Business Objects 4.2 Administration Perspective:-

  • BI Administration Cockpit

CockPit.JPG

CockPit.JPG


Relevant Systems

These enhancements were successfully implemented in the following systems:

  • SAP Business Objects Platform Services 4.2

This document is relevant for:

  • SAP Business Objects Administrator

Reference Material:

SAP BusinessObjects Business Intelligence platform 4.2

http://help.sap.com/bobip

SAP BusinessObjects BI4.2 What’s New L2

http://scn.sap.com/docs/DOC-68333

Installation, Upgrade, Deployment:

http://service.sap.com/~sapidb/012002523100015754782015E/sbo42_master_en.pdf

SAP BusinessObjects What’s New Collection:

http://scn.sap.com/docs/DOC-60001


Updating SAP BusinessObjects BI4.0 or SAP BusinessObjects BI4.1 into SAP BusinessObjects BI4.2 requires a new License Key

http://scn.sap.com/docs/DOC-70095

How to Upgrade to BI4.0

http://wiki.scn.sap.com/wiki/display/BOBJ/How+to+Upgrade+to+BI4.0

All you need to know before upgrading to BI4.0

http://wiki.scn.sap.com/wiki/display/BOBJ/All+you+need+to+know+before+upgrading+to+BI4.0

SAP BusinessObjects BI 4.1 Upgrade – Overview

http://scn.sap.com/docs/DOC-56525

Official Product Tutorials – SAP BusinessObjects Business Intelligence Platform 4.x

http://scn.sap.com/docs/DOC-8292


SAP BusinessObjects Business Intelligence platform 4.1 Product Availability Matrix:

http://service.sap.com/sap/support/pam?hash=pvnr%3D67837800100900006540


Overview – Updating SAP BusinessObjects BI 4.x System to BI 4.2 Release

https://wiki.scn.sap.com/wiki/display/BOBJ/Overview+-+Updating+SAP+BusinessObjects+BI+4.x+System+to+BI+4.2+Release

Caching BI 4.2 SP1 Web-Tier for Platform on both Tomcat Machines

https://wiki.scn.sap.com/wiki/display/BOBJ/Caching+BI+4.2+SP1+Web-Tier+for+Platform+on+both+Tomcat+Machines

KBA:-


1338845 – How to find Product Availability Matrix (PAM) / Supported Platforms Document for SAP BusinessObjects Products

https://service.sap.com/sap/support/notes/1338845

1868888 – Where to find Support Packages or Patches for SAP BusinessObjects Business Intelligence Platform 3.x and 4.x? [Video]

https://service.sap.com/sap/support/notes/1868888

1739722 Upgrade Management Tool – Prerequisites

https://service.sap.com/sap/support/notes/1739722

https://service.sap.com/sap/support/notes/1331062

1654423 Migrations fails or take too long when using SAP BusinessObjects Upgrade Management Tool

https://service.sap.com/sap/support/notes/1654423

1804414 How to increase Upgrade Management Tool timeout?

https://service.sap.com/sap/support/notes/1804414

1863600 – How does session management work with SAP BI Platform 4.0 web application clients?

https://service.sap.com/sap/support/notes/1863600

1837122 – How to increase session timeout value for BI Launchpad and CMC in BI 4.0

https://service.sap.com/sap/support/notes/1837122

1950573 – Is it Necessary to Split the Adaptive Job Server in BI 4.x?

https://service.sap.com/sap/support/notes/1950573

Note 1768713:Crystal report when exported to PDF displays in wrong font in BOE XI 3.1

https://service.sap.com/sap/support/notes/1768713

2144559 Maintenance/Forward Fit Strategy and Schedule for BOE XI3.1 and BI4.x

http://service.sap.com/sap/support/notes/2144559

1724610 How to check the version of SAP BI 4.x installed on UNIX environment

http://service.sap.com/sap/support/notes/1724610

1613846 How to find which fixes are installed on BI 4.x in a Windows environment

http://service.sap.com/sap/support/notes/1613846

1739722 – Upgrade Management Tool – Prerequisites

http://service.sap.com/sap/support/notes/1739722


1904814 – Best practices for a successful migration to BI4 using the upgrade management tool

http://service.sap.com/sap/support/notes/1904814

2047063 – Promotion management services show “The service did not start” on adaptive processing server (APS ) “running with errors”

http://service.sap.com/sap/support/notes/2047063

1602088 – Which version number corresponds to which patch / SP for SAP BusinessObjects BI 4.x ?

http://service.sap.com/sap/support/notes/1602088

2109790 – Error: ‘The action cannot be performed’ when scheduling Webi documents created against unx universes and data tracking is enabled

http://service.sap.com/sap/support/notes/2109790

2297866 – Tomcat8 is no longer to use Permsize and MaxPermsize

https://service.sap.com/sap/support/notes/2297866

2277129 – Unable to access BI Administrators’ Cockpit using https in BI 4.2

https://service.sap.com/sap/support/notes/2277129

2266031 – Explorer web application fails to start in Tomcat 8 after configuring for Windows AD SSO in BI 4.2

https://service.sap.com/sap/support/notes/2266031

2228083 – BI 4.2 – Tomcat 8 cannot startup when Wily Introscope Agent 9.1.0.2 is configured

https://service.sap.com/sap/support/notes/2228083

2112338 – List of Bundled Tomcat and JVM versions shipped with each (support pack) SP of SAP BusinessObjects Business Intelligence 4.0/4.1/4.2

https://service.sap.com/sap/support/notes/2112338

Video ( SCN recoded webinar & YouTube):

SAP BI 4.1 – Solution Expert Webinars

http://scn.sap.com/docs/DOC-56308

BI Upgrade: A Guided Tour of Online Resources

https://www.youtube.com/watch?v=kWcxShmqVe0&list=PLufF7pZxICBiJqcdJv-L1hVn8ZiWh70kk

Upgrade Process: Moving from BusinessObjects XI Release 2/3.1 and BI 4.0 to BI 4.1 https://www.youtube.com/watch?v=HWNhWNsnMZI

SAP BusinessObjects BI 4.1 Sizing and Virtualization

https://www.youtube.com/watch?v=V_TJXdfAH-Q

SAP BusinessObjects BI 4.1 Installation and Patching

https://www.youtube.com/watch?v=Tvj_riui50Q

SAP BusinessObjects BI 4.1 Sizing and Virtualization

https://www.youtube.com/watch?v=V_TJXdfAH-Q

SAP BusinessObjects BI 4.1 Installation and Patching

https://www.youtube.com/watch?v=Tvj_riui50Q

SAP BusinessObjects BI 4.1 Upgrade and Update – Best Practices

https://www.youtube.com/watch?v=HWNhWNsnMZI

To report this post you need to login first.

54 Comments

You must be Logged on to comment or reply to a post.

      1. Jawahar Konduru

        if you are upgrading to 4.2 sp2, install screen shows, license requirement which is missing in your screenshot. May be base 4.2 install does not have it.

         

        Good Job Daya. With all the links, it will be useful.

         

        4.2 Install.png

        (0) 
      2. Prasanth Sathyapalan

        Hi Daya,

         

        Nice to see the post. Good One !!..

        Do you have any thing which can help me in getting my servers from SAP Business Objects 4.0 SP3 to SAP Business Objects 4.2 SP1

        Prasanth

        (0) 
  1. Raj k

    Thank you for initiating this… Please keep us posted on any issues and benefits out of 4.2 SP2.

     

    I am waiting to test report to see how much performance is improved because of parallel query feature in BI 4.1

    (0) 
      1. Rahul Verma

        BI42_Installation.JPGHi Daya,

         

        I have BI4.1 SP06 and wanting to upgrade to BI4.2 SP02, but when I try, I get the error above.

         

        I am trying to update the existing Version to BI4.2 on the same machine.

        (0) 
        1. Mahak Rathore

          Hi Rahul,

           

          The issue is due to the Installer. You have downloaded wrong package.

          You have to download the package from SUPPORT PACKAGES and PATCHES not from Installation and upgrades.

           

          The error is due to the Full build. Setup is thinking already a BI 4 is installed on the system and you are trying to do one more install.

           

          Regards,

          Mahak

          (0) 
          1. Rahul Verma

            Hi Mahak,

             

            I realized it yesterday and I downloaded the Service Pack after I commented here.  I will install in today and will update again.

             

            thank you, Rahul

            (0) 
        2. Barry Scott

          Hi Rahul,

           

          Mahak is correct in that you are using full build (Installations and Upgrades) instead of (Support Packages and Patches). Also, I checked and for a full build I was correct that BI 4.2 SP02 is not even available for download from SAP Support Portal anymore as it had issues with the installer. However, it looks like SAP didn’t bother to create a new SP for the support package/patch build as they just added a small Webi Applet fix file as seen below. So you should download the support package/patch version of BI 4.2 SP01 or SP02 + Fix File as seen below:

           

          Here are (Support Packages and Patches) you have the option to download and install in order to upgrade your installation from BI 4.1 SP6 to BI 4.2 SP01 or SP02:

           

          SP01:

           

          SAP BusinessObjects BI Platform Servers 4.2 SP01 Update

          BIPLATSVR4201_0-80001044.EXE

          3776280 KB

          12/17/2015

           

          =================== OR ==================

           

          SP02 + Fix File:

           

          SAP BusinessObjects BI Platform Servers 4.2 SP02 Update

          BIPLATSVR4202_0-80001044.EXE

          3962688 KB

          03/06/2016

           

          WebI Applet 4.2 SP02 fi ro sv sk zh_tw signed jar hotfix

          WEBIAPPL4202P_0-80001044.ZIP

          5522 KB

          03/23/2016

           

           

          Thanks,

          Barry

          (0) 
          1. Rahul Verma

            Thank you Barry for the detailed description.  The BI 4.2 SP02 is available for me though.

            I downloaded the Services Pack 02, so I will check applying the SP02 of BI4.2 on top of BI4.1 Sp06 and update here

            (0) 
            1. Barry Scott

              Rahul,

               

              SAP removed the full build of BI 4.2 SP02 from their download website. It was available for a period of time and you probably downloaded it when it was still available on their website, but it you go look now there is only SP01 and SP03 for the full build. However, the patch build does still have SP02 available along with a little fix file. I believe you can make full build of SP02 work but you must ignore some error messages it throws up at you during full install.

               

              Thanks,

              Barry

              (0) 
              1. Rahul Verma

                Thank you Barry.  I see what you mean.

                BTW; I was able to upgrade to BI4.2 SP02 after patching SP02 of BI 4.2 on top of 4.1 SP6

                (0) 
  2. Barry Scott

    Instead of upgrading I am wanting to migrate from BO 4.1 SP6 server to a BO 4.2 SP3 server, I assume this requires using Promotion Manager and not the Upgrade Management Tool correct? I believe Promotion Manager is required when migrating between same releases 4.1, 4.2, 4.3 and that the Upgrade Management Tool would only be used between different versions like 3.1 and 4.1 or 3.1 and 4.2 correct? Since the performance of Promotion Manager is not very good, I was hoping that Upgrade Management Tool could be used when migrating between BO 4.1 and 4.2 but that is probably wishful thinking on my part correct?

    (0) 
    1. Tom Kornfeld

      Hi Barry,

      There is no need to migrate from 4.1 to 4.2. You can run a pretty simple update installation as described by Daja in this blog post. The Support Package Update Guide provides further detail. Content migration via Promotion or Upgrade manager as described by you is not at all required, or do you have a very specific requirement that makes you considering these options?

      Regards,

      Tom

      (0) 
      1. Barry Scott

        Tom, I do have to perform a migration as we have new server hardware which has Windows 2012 and that is where 4.2 will be installed and the old 4.1 server is running on Windows 2008 Standard and is being decommissioned. So unfortunately, I do need to perform a full migration from 4.1 to 4.2. I was hoping that UMT would support going from 4.1 to 4.2, but I am guessing that I will be forced to use the Promotion Management tool instead since I am not going up to a new version like 5.0.

        (0) 
        1. Tom Kornfeld

          Barry, you can still proceed as proposed by Philipp Schornberg in his response below. I did not realise his response was related to your initial question. This will also not require the use of Promotion Management. Have a look at KBA 1275068.

          (0) 
        2. Agata Kubera

          Hello Barry, How is you migration to BI4.2 doing? We have exactly the same constellation as the one described by you. BI4.2 SP02 was successfully installed and is running on Win Server 2012. Now it’s time to migrate the contents from BI4.1 SP06 to BI4.2. Which way did you finally use and where there any obstacles to overcome?  Any piece of advice / experience sharing will be greatly appreciated. Kind regards, Agata

          (0) 
          1. Daya Jha Post author

            Hi Agata,

             

            In BI 4.2 we have many new features & yes we face some obstacles during upgrade like

            • Tomcat Application needs to be set up again after upgrade
            • Issues in Web Intelligence reports with respect to excel as as source
            • Issues in OLAP Analysis reports based on SQL Server Analysis as a source

             

            But all issues are not related to product it was related to design issue.

             

            Thanks,

            Daya

            (0) 
      2. Rahul Verma

        Hi Tom

        can I simply run BI4.2 SP2 over my BI4.1 SP06?  it doesnt seem to work for me.

        or am I  not clear with something.

         

        awaiting your response and thank you in advance.

        rahul

        (0) 
    2. Mahak Rathore

      Hi Barry,

       

      I beilieve you need two scn which will help you for sure.

       

      If you are updating BI 4.1 to 4.2 then : Step by Step PHASE-WISE Installation in SAP BusinessObjects Business Intelligence (BI) platform 4.2 when updating/patching the BI 4.x.

       

      If you wanted to do a fresh install and then promote the content to the new installation then use : How to promote all content from SAP BI 4.x to SAP BI 4.x using LCM_CLI.bat (Command Line Tool) using Live to Live method.

       

       

       

      Cheers,

       

      Mahak

      (0) 
      1. Barry Scott

        Mahak, thanks for the information on LCM_CLI (command line tool) as this is what I was looking for to have ability to migrate large amount of objects between 4.x versions.

         

        Thanks,

        Barry

        (0) 
  3. Philipp Schornberg

    Since for BI 4.2 on Windows the Windows Server 2008 is deprecated (as seen here on slide 128) and many people probably would like to upgrade their OS at the same time as the actual BI version, here’s an answer to a SAP incident opened by a colleague regarding this topic I recently saw regarding the steps for this (provided as is without any warranty from my side of course ):

    1. Take a backup of your CMS database and your filestore
    2. Take a backup of your webapps folder
    3. Upgrade your OS
    4. Install BO again
    5. Restore the backup taken before following steps in this KBA:
      1275068 – Backup and restore BusinessObjects Enterprise XI 3.x / BI 4.x system from one environment to another environment [video]
    (0) 
      1. Philipp Schornberg

        You’re correct. It seems SAP is making a difference there between 2008 and 2008 R2. Good to know.

        Interestingly Microsoft itself is making no such difference, if I read this correctly

        (0) 
  4. Raj k

    Currently I am installing BI 4.2 SP 2 on our sandbox system  with 4.1 Sp6.

     

    can you help to find information  about what level of BI 4.1 SPs are included in 4.2 Sp 2 ?

     

    Thanks!

    (0) 
    1. Henry Banks

      Hi,

       

      BI4.2 SP00 had the same fixes (corrections) as 4.1 SP07 – and many more enhancements. the product later went GA with SP02 (i.e. with further fixes)

       

      regards,

      H

      (0) 
  5. E-lior G

    Hey,

     

    Thanks for your guide!

    Is it better to install a new system 4.2 and after it move all the old data from my 4.1 system? Is it possible?

    What should I be aware for if I will do it like that?

     

    Thanks,

    (0) 
    1. Henry Banks

      Hi,

       

      actually, it is recommended to use the “Update” process to patch your existing 4.1 install to  4.2 .

       

      if you MUST do a full installation (on new hardware, for example) then the correct process is: Copy CMS & FRS (from old system), Do a new 4.1 installation (on new hardware), Repoint new install to the copied content.

       

      this is covered in the admin guide Chapter 14 “copying your Bi platform deployment”

       

      regards,

      H

      (0) 
  6. Jacobsson Axel

    I have a question about the config files to backup:

     

    web.xml

    server.xml

     

    There are many files with the same name. Could you specify folderpath for the right versions?

     

    Thank you!

    (0) 
    1. Mahak Rathore

      HI Jacobsson,

       

      The above files are used for WAS (Ex : tomcat)

       

      Location of these files are  :  <installdir>\SAP BusinessObjects\tomcat\conf

       

      • Now, there are more files where customisation or configuration can be done which are as below :
        • Web.xml of Webapps of Tomcat : <install>\SAP BusinessObjects\tomcat\webapps\ROOT\WEB-INF
        • Web.xml of BOE Application : <installdir>\SAP BusinessObjects\tomcat\webapps\BOE\WEB-INF

       

       

       

      Regards,

      Mahak

      (0) 
  7. Sameer Sthul

    Hi Guys,

    My current environment is BI 4.1 SP05. Can I directly upgrade it to BI 4.2 SP03?
    Or do I need to go cumulative approach?
    BI 4.1 SP05>>BI4.2 Base version>>BI 4.2 SP01>>BI 4.2 SP02 and then SP03?

    -Sameer

    (0) 
  8. Eric Zhou

    Dear Expects,

    This blog is really helpful. My company has requirements to upgrade from BO 4.1 SP7 to BO 4.2 (latest SP and patch).

    But I have a question regarding the installation files.

    For BIP 4.2, we may have minor release number BIP 4.2, and SP number BIP 4.2 SP3, and patch number like BIP 4.2 SP3 P1.

    In the software download page I see multiple upgrade files for different versions:

    My questions is: if I want to upgrade from BIP 4.1 SP7 to 4.2 SP3 P1, do I only need to install the latest install file which is fro 4.2 SP3 P1? Or I need to install the minor release 4.2 firstly, then  SP installation 4.2 SP3, then patch 4.2 SP3 P1?

    Which option is the correct one?

    Thanks in advance!.

    Best Regards,
    Eric

    (0) 
    1. Denis Konovalov

      As per Upgrade guide – you can go directly to latest SP/Patch. In your case 4.2 Sp03.
      I recommend latest SP first and install patches only if they have fixes you need.

      I’d also suggest waiting for BI4.2 SP04, which will address some webi issues found in Sp3

      (0) 
  9. BASIS IBM

    Hello,

    Our current BO patch level is 4.1 Support Pack 4 and we want to upgrade to 4.2 SP level 3.

    $ cat version.txt
    14.1.4.1327
    4.1 Support Pack 4
    $ pwd
    /sap/sap_bobj/enterprise_xi40/aix_rs6000_64/version

    While performing the upgrade, during the pre-requisite check, we are getting below error :

    Failed: Information Steward and Data Services compatibility (Optional)
    Information: SAP Data Services and/or Information Steward deployment was detected on your machine. Before continuing, read SAP Note 1740516
    (http://service.sap.com/sap/support/notes/1740516) for compatibility information and information about the impact to those products. INS00296
    Failed: Minimum support package version (Critical)
    Information: This update is for SAP BusinessObjects BI platform 4.2, which was not found on the system. You must install it before this installation can continue.
    Succeeded: Operating system patch level (Critical)
    Succeeded: Updates are applicable (Optional)
    Succeeded: BI platform server 4 installed (Critical)
    Succeeded: Disk space in /var (Critical)
    Succeeded: Root user rights (Critical)

    Could you help on this and help on rectifying the error. The downloaded software package screenshot also attached for ready reference.

    (0) 
  10. SWAPNIL Hoderkar

    Hi,

    We are currently on BI 4.1 SP06 Patch 5 and want to upgrade to BI 4.2 SP03 Patch 2.

    Does SAP provide a installer for direct upgrade to BI4.2 SP03 Patch 2 or we will have to first run 4.2 SP03 Base build upgrade and then Patch 2 upgrade?.

    Thanks in advance!

    Regards,
    Swapnil Hoderkar

    (0) 
    1. Jordan Boen

      Swapnil,

      Always recommended that you upgrade to the SP that you want, for you that’s SP03, and then apply the patches that you need. Uusually the patches fix particular issues, and as such you may not actually need them for your installation. However, install the BI 4.2 SP03 base first, and then if you want/need you can proceed with the patch levels.

      Thanks,

      Jordan

      (0) 
  11. Karl Kettler

    Hi
    we want to upgrade from BI 4.1 Sp6 to BI4.2 sp3?
    Is this possible? I get error message use the maintenance package but if I the maintenance package I get the error message I need to have bobj bi client platform 4.2.

    Please advice.

    Best regards,
    Karl

    (0) 
  12. Dheeraj Patankar

    Hi,

    After successful upgrade from 4.1 SP4 to 4.2 SP3 patch 2, I am not able to login to CMC/BI Launchpad using Windows AD authentication. Do I need to make any changes in the authentication page.

    Regards,

    Dheeraj

    (0) 
  13. Bill Lang

    Hi,
    Having done this on a SAP HEC system there are a few key things missed here:

    (1) The LCM technical process has now changed – whereas before much of the work was done but the Web Application server (Tomcat in many cases) it’s now all done by the LCM APS – this should be fine but upgrading from 4.1 meant for us that LCM did not work properly (Java errors, mainly “Sorry, Promotion Management application is unable to service your request).
    We never really got to the bottom of this but apparently this is a known issue and there are “some files” left in place that interfere with this process.  The solution was:

    1.Clear all servers from CMC > LCM > manage servers and do one or more of below.
    2. we Clear Tomcat work folder and the temp folder (all tmp and derby files) and restart Tomcat
    3. Create a new LCM APS server (APS with just LCM services).
    4. Add a new node with a new LCM APS Server.
    5. Recreate existing node in one case and create a new aps.

    One or more for us meant creating a new SIA Node with all services.  Still got intermittent errors creating systems but that’s a one-off task and once it’s done, there were no more issues.  It’s not a completely satisfactory solution as it doesn’t really identify what was actually the problem but it worked.
    Also if you have firewalls set up/bind to a specific note host/IP then all services will need this applying – this definitely applies to HEC systems.

    (2) Importing 3rd party users stops working randomly – it really is random.  There is no fix yet, only a workaround of restarting the SIA.  Fix on BI 4.2 SP 03 Patch 03 and BI 4.1 SP 09 (which implies it’s also in BI4.1) due end Dec but probably not until Jan.  It’s a pain but restarting the SIA works.
    Note 2389833.  Look for this in the logs:

    |78b6344b-3687-348a-7a87-c90cdf3b1e04|2016 12 08 10:50:39:999|+0000|Information| |==| | |cms_vhmclqi2sbo01.CentralManagementServer|14705|47564740798208|| ||||||||||||||||||||||CSecPluginMgr::UserReloadThread::Update3rdPartyGroupUserDescription: userAlias: secLDAP:cn=blah, ou=staff, ou=user accounts, dc=blah, dc=blah, dc=com aliasToId: 0

    secplugin.cpp:2668:-: TraceLog message 36860715

    |c5016b6f-8dbb-35af-f3c9-83146269071f|2016 12 08 10:50:39:999|+0000|Information| |==| | |cms_vhmclqi2sbo01.CentralManagementServer|14705|47564740798208|| ||||||||||||||||||||||CSecPluginMgr::UserReloadThread::Update3rdPartyGroupUserDescription: skipping the update of secLDAP:cn=ablah, ou=staff, ou=user accounts, dc=blah, dc=blah, dc=com

    ObjectSubsystem.cpp:2601:-: TraceLog message 36860716

    (3) BI Commentry doesn’t work on upgrading – the table is not created in the audit db and the jdbc driver is in the wrong place/needs to be created.  Haven’t done this yet but will be following: 2369739 – How to configure a new BI Commentary Database in BI4.2

    (4) If you have HTTPS (and you really should if you are passing passwords) then the BI Admin Cockpit won’t work as Rest is not configured for HTTPS.  Again, not completed this yet but there’s a note: 2391613 – ‘Network error occurred’ occurs when using https to access BI Administrator’s Cockpit in BI4.2

    (0) 
  14. Jordan Boen

    Anyone know the status of SP04 for BI 4.2? Seems like I’ve been hearing about it for months, and with SP03 almost 6 months old, I figured SP04 would be out soon.

    (0) 
  15. RADHAKRISHNAN CHINNUSAMY

    Hi,

    We have done 4.2 SP3 upgradation from 4.1 SP6 Patch 01, but the installation phase (2nd phase)  end with error. After upgrade we are unable to access any of the BO applications as BO system completely corrupted  (unable to find any .exe files while opening CCM or any other applicaitons)

     

    Note:

    Caching phase completed successfully and it took around 10 to 12 minutes.

    Installation phase completed with error and it took around 1 hour.

    FYI,

    Current Version: BI 4.1 SP6 Patch 01

    OS: Windows 2012 R2 Standard

    Cluster: 2 System (full installation CMS/Tomcat/Processing Servers)

    CMS DB: DB2

    Installation Log File (ErrorsAndWarning):  

    Errors/Warnings found during the installation are as follows

     

    17:55:39.286 2017/01/25, 05:55:39: ntservice Error: Service is in pending state, unable to control service, exiting…

    17:55:49.302 2017/01/25, 05:55:49: ntservice Error: Service is in pending state, unable to control service, exiting…

    17:55:59.318 2017/01/25, 05:55:59: ntservice Error: Service is in pending state, unable to control service, exiting…

    17:56:09.334 2017/01/25, 05:56:09: ntservice Error: Service is in pending state, unable to control service, exiting…

    17:56:19.350 2017/01/25, 05:56:19: ntservice Error: Service is in pending state, unable to control service, exiting…

    17:56:29.366 Error: SetSIAStateWithRetry: ControlNTService failed stoppingervice BOEXI40SIAIX1B1Z02 after 5 retries.

    17:56:30.382 Error: unmarshalSizet: curPos past end of string

    17:56:30.382 Error: Serialization error. Expecting at least 1 arg(s).  Got 0.

    17:56:30.382 Error: Poco Exception: Software caused connection abort

    17:56:30.382 Error: *** Action result: unknown.

    18:00:44.097 Error: Error code from call to Windows Installer API: 1612

    18:00:45.128 Error: unmarshalSizet: curPos past end of string

    18:00:45.128 Error: Serialization error. Expecting at least 1 arg(s).  Got 0.

    18:00:45.128 Error: Poco Exception: Software caused connection abort

    ::

    ::

    ::

    18:55:27.824 Error: RunRedistProgram: failed: 2

    18:55:57.841 Error: RunRedistProgram: failed: 2

    18:56:27.858 Error: RunRedistProgram: failed: 2

    18:56:58.001 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.110 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.219 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.376 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.485 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.610 Error: ReplaceFileVariables: E:\BOBJ\SAP BusinessObjects Enterprise XI 4.0\win64_x64\scripts\monitoringBiarImporter.bat doesn’t exist

    18:56:58.860 Error: RunRedistProgram: failed: 2

     

    Refer SCN link and SAP Notes for DFO related Errors

    Contact system administrator for other errors

     

    The below error messages we have received after installation complete with error window..

     

    Error Msg 1:

     

    Missing installdir reg key for installiverse, required for uninstall.

    Key: SOFWARE\SAP BusinessObjects\Suite XI4.0\Installer\aurora

    Value: Path

     

    Error Msg 2:

     

    A fatal error has occurred which has caused the installer to quit. Please gather any %TEMP% and installer logs to presents to your support personnel.

     

    Note: Sorry for the long text and details..

     

    (0) 
    1. Denis Konovalov

      You need to look thru setupengine.log to fully understand those errors and their context.
      First one looks like the install was not able to stop SIA and then it went downhill from there.

      Did you stop all BOE processes, except CMS/FRS prior to phase 2 ?
      Did you run phase 2 using same user as original install ?
      Was that user the Local Administrator ?
      Was antivirus and/or other monitoring software’s stopped during this phase ?

      (0) 
  16. Prasanth Sathyapalan

    Hi,

    Can any one provide me the road map from SAP Business Objects 4.0 to SAP Business Objects 4.2

     

    Is it like we need to upgrade the current servers from SAP Business Objects from 4.0  > 4.1 then 4.2 ?

    (0) 
  17. C K

    Hello,

    We are trying to upgrade from BOE 4.1 SP 6 to BOE 4.2 SP 2.  Our 4.1 environment is on Win 2008. We got new Win 2012 servers for BOE 4.2 . The install of 4.2 went fine on new Win 2012 servers but we are running into several issues with content migration. There is a command line tool process that was suggested, it worked to some extent but taking forever and we couldn’t complete.

    What is the best way or options to proceed with this upgrade?

     

    (0) 

Leave a Reply